# -*- coding: utf-8 -*-

############################
#			   #
#     Rotation de 180°     #
#			   #
############################

# Importation de la librairie PIL
from PIL import Image

# Ouverture du fichier image
fichierImage = 'photo.jpg'
imageSource = Image.open(fichierImage)

# Affichage de l'image pour comparaison
imageSource.show()

# Récupération de la largeur et hauteur de l'image
largeur,hauteur = imageSource.size

# Création d'une image de même type
#imageFinale = Image.new(imageSource.mode,(largeur,hauteur))
imageFinale = Image.new(imageSource.mode,imageSource.size)

# Boucle de traitement des pixels rotation gauche 90°
for x in range(largeur):
	for y in range(hauteur):
		pixel = imageSource.getpixel((x,y))
		imageFinale.putpixel((largeur-x-1,hauteur-y-1), pixel)

# Affichage de l'image finale et enregistrement
imageFinale.show()
imageFinale.save("Image finale - rotation 180 degres.jpg")

# Fermeture du fichier image
imageSource.close()
